
CREATE SEQUENCE SQ_CATEGORA INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_CATEGORA 
  BEFORE INSERT ON CATEGORA
  FOR EACH ROW
BEGIN
  SELECT SQ_CATEGORA.NEXTVAL INTO :NEW.ID_CATEGORA
  FROM DUAL;
END TR_CATEGORIA; 
/

CREATE SEQUENCE SQ_PROVEEDOR INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_PROVEEDOR 
  BEFORE INSERT ON PROVEEDOR
  FOR EACH ROW
BEGIN
  SELECT SQ_PROVEEDOR.NEXTVAL INTO :NEW.ID_PROVEEDOR
  FROM DUAL;
END TR_PROVEEDOR; 
/

CREATE SEQUENCE SQ_ARTCULO INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_ARTCULO
  BEFORE INSERT ON ARTCULO
  FOR EACH ROW
BEGIN
  SELECT SQ_ARTCULO.NEXTVAL INTO :NEW.ID_ARTCULO
  FROM DUAL;
END TR_ARTCULO; 
/

CREATE SEQUENCE SQ_MIEMBRO INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_MIEMBRO
  BEFORE INSERT ON MIEMBRO
  FOR EACH ROW
BEGIN
  SELECT SQ_MIEMBRO.NEXTVAL INTO :NEW.ID_MIEMBRO
  FROM DUAL;
END TR_MIEMBRO; 
/

CREATE SEQUENCE SQ_DESEA INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_DESEA
  BEFORE INSERT ON DESEA
  FOR EACH ROW
BEGIN
  SELECT SQ_DESEA.NEXTVAL INTO :NEW.ID_DESEO
  FROM DUAL;
END TR_DESEA; 
/

CREATE SEQUENCE SQ_GRUPO INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_GRUPO
  BEFORE INSERT ON GRUPO
  FOR EACH ROW
BEGIN
  SELECT SQ_GRUPO.NEXTVAL INTO :NEW.ID_GRUPO
  FROM DUAL;
END TR_GRUPO; 
/

CREATE SEQUENCE SQ_REGALA INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_REGALA
  BEFORE INSERT ON REGALA
  FOR EACH ROW
BEGIN
  SELECT SQ_REGALA.NEXTVAL INTO :NEW.ID_REGALO
  FROM DUAL;
END TR_REGALA; 
/

CREATE SEQUENCE SQ_MTODO INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_MTODO
  BEFORE INSERT ON MTODO
  FOR EACH ROW
BEGIN
  SELECT SQ_MTODO.NEXTVAL INTO :NEW.ID_MTODO
  FROM DUAL;
END TR_MTODO; 
/

CREATE SEQUENCE SQ_TRANSACCIN INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_TRANSACCIN
  BEFORE INSERT ON TRANSACCIN
  FOR EACH ROW
BEGIN
  SELECT SQ_TRANSACCIN.NEXTVAL INTO :NEW.ID_TRANSACCIN
  FROM DUAL;
END TR_TRANSACCIN; 
/

CREATE SEQUENCE SQ_LOGS INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_LOGS
  BEFORE INSERT ON LOGS
  FOR EACH ROW
BEGIN
  SELECT SQ_LOGS.NEXTVAL INTO :NEW.ID_LOG
  FROM DUAL;
END TR_LOGS; 
/



